<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="14.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{B4E83593-D6C9-402B-99E8-B80BC5D80F18}</ProjectGuid>
    <Keyword>Win32Proj</Keyword>
    <RootNamespace>kbGuru2SMF</RootNamespace>
    <WindowsTargetPlatformVersion>7.0</WindowsTargetPlatformVersion>
    <ProjectName>kbGuru2SMF</ProjectName>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v141_xp</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v141_xp</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="..\..\..\_all\kbmplay_property_sheet.props" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="..\..\..\_all\kbmplay_property_sheet.props" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <LinkIncremental>true</LinkIncremental>
    <OutDir>$(KBMPLAY_BASEPATH)\$(PlatformShortName)\Player\Kobarin\$(ProjectName)\</OutDir>
    <IntDir>$(SolutionDir)_temp\$(Platform)\$(ProjectName)\$(Configuration)\</IntDir>
    <GenerateManifest>false</GenerateManifest>
    <TargetExt>.kpi</TargetExt>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>$(KBMPLAY_BASEPATH)\$(PlatformShortName)\Player\Kobarin\$(ProjectName)\</OutDir>
    <IntDir>$(SolutionDir)_temp\$(Platform)\$(ProjectName)\$(Configuration)\</IntDir>
    <GenerateManifest>false</GenerateManifest>
    <TargetExt>.kpi</TargetExt>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>WIN32;_DEBUG;_WINDOWS;_USRDLL;KBGURU2SMF_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <SDLCheck>true</SDLCheck>
      <AdditionalIncludeDirectories>.;..\..\..\kpisdk;include</AdditionalIncludeDirectories>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <ModuleDefinitionFile>kbGuru2SMF.def</ModuleDefinitionFile>
      <ProgramDatabaseFile>$(IntDir)$(TargetName).pdb</ProgramDatabaseFile>
      <ImportLibrary>$(IntDir)$(TargetName).lib</ImportLibrary>
      <AdditionalDependencies>%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
    <PostBuildEvent>
      <Command>copy $(ProjectDir)..\*.txt /b $(outputpath)
copy $(ProjectDir)\GuruGuruSMF\bin\*.dll /b $(outputpath)</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <Optimization>Full</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <PreprocessorDefinitions>WIN32;NDEBUG;_WINDOWS;_USRDLL;KBGURU2SMF_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <SDLCheck>true</SDLCheck>
      <AdditionalIncludeDirectories>.;..\..\..\kpisdk;include</AdditionalIncludeDirectories>
      <InlineFunctionExpansion>AnySuitable</InlineFunctionExpansion>
      <FavorSizeOrSpeed>Speed</FavorSizeOrSpeed>
      <OmitFramePointers>true</OmitFramePointers>
      <DebugInformationFormat>None</DebugInformationFormat>
      <StringPooling>true</StringPooling>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>false</GenerateDebugInformation>
      <LinkTimeCodeGeneration>UseLinkTimeCodeGeneration</LinkTimeCodeGeneration>
      <ModuleDefinitionFile>kbGuru2SMF.def</ModuleDefinitionFile>
      <ProgramDatabaseFile>$(IntDir)$(TargetName).pdb</ProgramDatabaseFile>
      <ImportLibrary>$(IntDir)$(TargetName).lib</ImportLibrary>
      <AdditionalDependencies>%(AdditionalDependencies)</AdditionalDependencies>
      <ProfileGuidedDatabase>$(IntDir)$(TargetName).pgd</ProfileGuidedDatabase>
    </Link>
    <PostBuildEvent>
      <Command>copy $(ProjectDir)..\*.txt /b $(outputpath)
copy $(ProjectDir)\GuruGuruSMF\bin\*.dll /b $(outputpath)</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClInclude Include="..\..\..\kpisdk\kpi.h" />
    <ClInclude Include="..\..\..\kpisdk\kpi_decoder.h" />
    <ClInclude Include="..\..\..\kpisdk\kpi_impl.h" />
    <ClInclude Include="..\..\..\kpisdk\kpi_player.h" />
    <ClInclude Include="GuruGuruSMF4_Cpp.h" />
    <ClInclude Include="kbGuru2SMF.h" />
    <ClInclude Include="kbGuru2SMF_config.h" />
    <ClInclude Include="kbGuru2SMF_module.h" />
    <ClInclude Include="kbGuru2SMF_player.h" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="..\..\..\kpisdk\kpi.cpp" />
    <ClCompile Include="GuruGuruSMF4_Cpp_Dynamic.cpp" />
    <ClCompile Include="kbGuru2SMF.cpp" />
    <ClCompile Include="kbGuru2SMF_config.cpp" />
    <ClCompile Include="kbGuru2SMF_module.cpp" />
    <ClCompile Include="kbGuru2SMF_player.cpp" />
  </ItemGroup>
  <ItemGroup>
    <None Include="kbGuru2SMF.def" />
  </ItemGroup>
  <ItemGroup>
    <Text Include="..\kbGuru2SMF.txt" />
    <Text Include="kbGuru2SMF_memo.txt" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="GuruGuruSMF\GuruGuruSMF4\GuruGuruSMF4.vcxproj">
      <Project>{4c09e5fb-56d8-4e74-a361-9fdd3972a776}</Project>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>